﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

using MuScreenManager;

namespace TestGame
{
    /// <summary>
    /// Also currently uncommented, this will be commented in the near future although most of it is self explanatory
    /// </summary>
    class TestMenuScreen : MenuScreen
    {
        public TestMenuScreen()
            : base("Game!")
        { }

        public override void Initialize()
        {
            MenuItem item1 = new MenuItem("Game!", new Vector2(screenManager.ScreenDimensions.X / 2, 100), screenManager);
            MenuItem item2 = new MenuItem("Close!", new Vector2(screenManager.ScreenDimensions.X / 2, 150), screenManager);

            item1.OnButtonSelect += new EventHandler<MenuItemEventArgs>(item1_OnButtonSelect);
            item2.OnButtonSelect += new EventHandler<MenuItemEventArgs>(item2_OnButtonSelect);

            AddItem(item1);
            AddItem(item2);
        }

        private void item1_OnButtonSelect(object sender, MenuItemEventArgs e)
        {
            screenManager.AddScreen(new TestGameScreen());
            screenManager.RemoveScreen(this);
        }

        private void item2_OnButtonSelect(object sender, MenuItemEventArgs e)
        {
            ConfirmMessageScreen confirmScreen = new ConfirmMessageScreen("Close the game?");
            confirmScreen.OnConfirm += new EventHandler<EventArgs>(conirmScreen_OnConfirm);
            screenManager.AddScreen(confirmScreen);
        }

        private void conirmScreen_OnConfirm(object sender, EventArgs e)
        {
            screenManager.Game.Exit();
        }
    }
}
